VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::cis::tagging::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.cis.tagging` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | categoryModel
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | tagModel

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.cis.tagging` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::StructDefinitions::categoryModel`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Category"));
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("description", new vmware.vapi.bindings.type.StringType());
                    fields.Add("cardinality", new vmware.vapi.bindings.type.EnumType(typeof(vmware.cis.tagging.CategoryModel.Cardinality)));
                    fields.Add("associable_types", new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.StringType()));
                    fields.Add("used_by", new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.cis.tagging.category_model", fields, typeof(vmware.cis.tagging.CategoryModel), validators, true, new global::System.Collections.Generic.List<string>(){"id"});
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::cis::tagging::StructDefinitions::tagModel`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("id", new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Tag"));
                    fields.Add("category_id", new vmware.vapi.bindings.type.IdType("com.vmware.cis.tagging.Category"));
                    fields.Add("name", new vmware.vapi.bindings.type.StringType());
                    fields.Add("description", new vmware.vapi.bindings.type.StringType());
                    fields.Add("used_by", new vmware.vapi.bindings.type.SetType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.cis.tagging.tag_model", fields, typeof(vmware.cis.tagging.TagModel), validators, true, new global::System.Collections.Generic.List<string>(){"id"});
                })

The documentation for this class was generated from the following file:

- cis/tagging/StructDefinitions.cs